Bug 1035926 - uboot-beaglebone sets incorrect load addresses for BeagleBone Black
uboot-beaglebone sets incorrect load addresses for BeagleBone Black
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: uboot-tools (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: ARMTracker F20FinalFreezeException
  Show dependency treegraph
 
Reported: 2013-11-28 16:42 EST by Paul Whalen
Modified: 2013-12-05 07:14 EST (History)
4 users (show)

See Also:
Fixed In Version: uboot-tools-2013.10-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 07:14:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Whalen 2013-11-28 16:42:39 EST
Description of problem:
When using the U-Boot we provide in Fedora 20, the load addresses are incorrectly set, causing the system to hang after loading the kernel. 


Version-Release number of selected component (if applicable):
uboot-tools-2013.10-2.fc20

How reproducible:
everytime

Steps to Reproduce:
1. When booting on the beaglebone black, hold the button above the MicroSD to load U-Boot from the MicroSD card.


Actual results:
System will hang after 'starting the kernel'

Expected results:
Booted system. 

Additional info:
When testing with:

kernel_addr_r=0x80300000
ramdisk_addr_r=0x82000000
fdt_addr=0x81600000

The system booted as expected.
Comment 1 Dennis Gilmore 2013-12-02 20:33:21 EST
Proposing a a FE, this is something we expect to work.
Comment 2 Adam Williamson 2013-12-02 20:38:04 EST
+1 FE: this is a useful feature in one of our deliverables that we can't fix with an update, and the fix should be fairly unlikely to break anything else given where it's located.
Comment 3 Paul Whalen 2013-12-02 20:53:21 EST
+1 FE, will test the new build when available.
Comment 4 Fedora Update System 2013-12-02 20:56:09 EST
uboot-tools-2013.10-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/uboot-tools-2013.10-3.fc20
Comment 5 Adam Williamson 2013-12-02 20:58:21 EST
That's three +1s, setting accepted FE.
Comment 6 Fedora Admin XMLRPC Client 2013-12-03 07:47:57 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Paul Whalen 2013-12-03 10:58:52 EST
Included and working in F20 TC4.
Comment 8 Fedora Update System 2013-12-05 07:14:46 EST
uboot-tools-2013.10-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.